<?php
add_action( 'customize_register', 'gridchamp_cta_register' );
	function gridchamp_cta_register( $wp_customize ) {

		$wp_customize->add_section('gridchamp_cta_settings', 
		 	array(
		        'title' => esc_html__('CTA Section', 'gridchamp'),
		        'panel' =>'gridchamp_frontpage_option',
		        'priority' => 9,
	    	)
		 );
		$wp_customize->add_setting( 'gridchamp_cta_status', 
	    	array(
		      'default'  =>  false,
		      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
		  	)
	    );
		$wp_customize->add_control( 'gridchamp_cta_status', 
			array(
			  'label'   => esc_html__( 'Display CTA Section', 'gridchamp' ),
			  'section' => 'gridchamp_cta_settings',
			  'settings' => 'gridchamp_cta_status',
			  'type'    => 'checkbox',
			  'priority' => 1
			)
		);
		$wp_customize->selective_refresh->add_partial( 'gridchamp_cta_status', array(
            'selector' => '.cta-wraper h1.section-heading',
        ) );
        if(gridchamp_set_to_premium()){
	        $wp_customize->add_setting( 
		        'gridchamp_cta_layout', 
		        array(
		            'default'           => 'gridhcamp-cta-layout-full',
		            'sanitize_callback' => 'gridchamp_sanitize_choices'
		        ) 
		    );
		    
		    $wp_customize->add_control(
				new WP_Customize_Control(
					$wp_customize,
					'gridchamp_cta_layout',
					array(
						'section'	  => 'gridchamp_cta_settings',
						'label'		  => esc_html__( 'Choose Section Layout', 'gridchamp' ),
						'description' => '',
						'type'           => 'select',
						'choices'	  => array(
							'gridhcamp-cta-layout-full'    => esc_html__('Full Width Layout','gridchamp'),
							'gridhcamp-cta-layout-box'  => esc_html__('Box Layout','gridchamp'),
						),
						'priority' => 1,
						'active_callback' => function(){
				            return get_theme_mod( 'gridchamp_cta_status', true );
				        },
					)
				)
			);
		}
		$wp_customize->add_setting( 'cta_bg_color', 
			array(
		        'default'        => '#04a06e',
		        'sanitize_callback' => 'gridchamp_sanitize_hex_color',
	    	) 
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 
			'cta_bg_color', 
			array(
		        'label'   => esc_html__( 'Section Color & Settings', 'gridchamp' ),
		        'description' => esc_html__('Background Color','gridchamp'),
		        'section' => 'gridchamp_cta_settings',
		        'settings'   => 'cta_bg_color',
		        'priority' => 21,
		        'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
		    ) ) 
		);
		$wp_customize->add_setting('cta_bg_image', array(
	        'transport'         => 'refresh',
	        'sanitize_callback'     =>  'gridchamp_sanitize_file',
	    ));

	    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'cta_bg_image', array(
	    	'label' => '',
	        'description'             => esc_html__('Background Image', 'gridchamp'),
	        'section'           => 'gridchamp_cta_settings',
	        'settings'          => 'cta_bg_image',
	        'priority' 			=> 22,
	        'active_callback' => function(){
	            return get_theme_mod( 'gridchamp_cta_status', true );
	        },
	    )));
	    $wp_customize->add_setting( 'cta_text_color', 
			array(
		        'default'        => '#ffffff',
		        'sanitize_callback' => 'gridchamp_sanitize_hex_color',
	    	) 
		);

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 
			'cta_text_color', 
			array(
				'label' => '',
		        'description'   => esc_html__( 'Text Color', 'gridchamp' ),
		        'section' => 'gridchamp_cta_settings',
		        'settings'   => 'cta_text_color',
		        'priority' => 23,
		        'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
		    ) ) 
		);
		$wp_customize->add_setting( 'cta_heading_text', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'cta_heading_text', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_cta_settings',
				'label' => esc_html__( 'Sub Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			)
		);
	     $wp_customize->add_setting( 'cta_message_text', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'sanitize_textarea_field',
			) 
		);

		$wp_customize->add_control( 'cta_message_text', 
			array(
				'type' => 'textarea',
				'section' => 'gridchamp_cta_settings',
				'label' => esc_html__( 'Text','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			)
		);
	    
	    $wp_customize->add_setting( 'cta_btn_text', 
		 	array(
				'capability' => 'edit_theme_options',
				'default' => '',
				'sanitize_callback' => 'gridchamp_sanitize_text',
			) 
		);

		$wp_customize->add_control( 'cta_btn_text', 
			array(
				'type' => 'text',
				'section' => 'gridchamp_cta_settings',
				'label' => esc_html__( 'Button','gridchamp' ),
				'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			)
		);
		$wp_customize->add_setting( 'cta_btn_url', 
			array(
				'default' => '',
		        'sanitize_callback'     =>  'esc_url_raw',
		    ) 
		);

	    $wp_customize->add_control( 'cta_btn_url', 
	    	array(
		        'label' => esc_html__( 'Button Link', 'gridchamp' ),
		        'section' => 'gridchamp_cta_settings',
		        'settings' => 'cta_btn_url',
		        'type'=> 'url',
		        'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
	    	) 
	    );
	    $wp_customize->add_setting( 'cta_btn_target', 
	    	array(
		      'default'  =>  false,
		      'sanitize_callback' => 'gridchamp_sanitize_checkbox'
		  	)
	    );
		$wp_customize->add_control( 'cta_btn_target', 
			array(
			  'label'   => esc_html__( 'Open in New Tab', 'gridchamp' ),
			  'section' => 'gridchamp_cta_settings',
			  'settings' => 'cta_btn_target',
			  'type'    => 'checkbox',
			  'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			)

		);
		$wp_customize->add_setting( 'gridchamp_cta_section_padding_top', 
			array(
				'capability' => 'edit_theme_options',
				'sanitize_callback' => 'gridchamp_sanitize_number_absint',
				'default' => 100,
			) 
		);

		$wp_customize->add_control( 'gridchamp_cta_section_padding_top', 
			array(
				'type' => 'number',
				'section' => 'gridchamp_cta_settings',
				'settings' => 'gridchamp_cta_section_padding_top',
				'label' => esc_html__( 'Section Top Space','gridchamp' ),
				'description' => '',
				'input_attrs' => array(
			        'min'   => 0,
			        'max'   => 300,
			        'step'  => 1,
			    ),
			    'priority' => 50,
			    'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			) 
		);
		$wp_customize->add_setting( 'gridchamp_cta_section_padding_bottom', 
			array(
				'capability' => 'edit_theme_options',
				'sanitize_callback' => 'gridchamp_sanitize_number_absint',
				'default' => 100,
			) 
		);

		$wp_customize->add_control( 'gridchamp_cta_section_padding_bottom', 
			array(
				'type' => 'number',
				'section' => 'gridchamp_cta_settings',
				'settings' => 'gridchamp_cta_section_padding_bottom',
				'label' => esc_html__( 'Section Bottom Space','gridchamp' ),
				'description' => '',
				'input_attrs' => array(
			        'min'   => 0,
			        'max'   => 300,
			        'step'  => 1,
			    ),
			    'priority' => 50,
			    'active_callback' => function(){
		            return get_theme_mod( 'gridchamp_cta_status', true );
		        },
			) 
		);
		
	}
?>