<?php
/**
*Promotion customizer options
*
* @package gridchamp
*
*/

if (! function_exists('gridchamp_themeinfo_options_register')) {
	function gridchamp_themeinfo_options_register( $wp_customize ) {
		if(!gridchamp_set_to_premium()){
			require get_template_directory() . '/inc/upgrade-control.php';
			$wp_customize->register_section_type( 'Gridchamp_Customize_Section_Ugrade' );
			// require WALKER_CORE_PATH . 'admin/customizer/gridchamp-promo-controls.php';
			$wp_customize->add_section('gridchamp_info_section', 
			 	array(
			        'title' => esc_html__('Theme Information', 'gridchamp'),
			        'priority' => 1,
		
		    	)
			 );

			$description = esc_html__( 'Find out the demos and documentation of the theme.', 'gridchamp' );
            $wp_customize->add_setting( 'gridchamo_info_message_text', 
                array(
                   'sanitize_callback' => 'sanitize_text_field',
                ) 
            );

        $wp_customize->add_control( new Gridchamp_Custom_Text_Control( $wp_customize, 'gridchamo_info_message_text', 
            array(
                'label' => esc_html__( 'Theme Information', 'gridchamp' ),
                'section' => 'gridchamp_info_section',
                'settings' => 'gridchamo_info_message_text',
                'description' => $description,
                'type' => 'gridchamp-custom-text',
                
            ) )
        );
        $gridchamp_info = '';
	    $gridchamp_info .= '<span class="gridchamp-info-row"><label class="row-element">' . esc_html__( 'Theme Details', 'gridchamp' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://walkerwp.com/gridchamp/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'gridchamp' ) . '</a></span>';
	    $gridchamp_info .= '<span class="gridchamp-info-row"><label class="row-element">' . esc_html__( 'Documentation', 'gridchamp' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://walkerwp.com/docs-category/gridchamp/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'gridchamp' ) . '</a></span>';
	    $gridchamp_info .= '<span class="gridchamp-info-row"><label class="row-element">' . esc_html__( 'View Demos', 'gridchamp' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://walkerwp.com/walkermag/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'gridchamp' ) . '</a></span>';
	    $gridchamp_info .= '<span class="gridchamp-info-row"><label class="row-element">' . esc_html__( 'Need Support', 'gridchamp' ) . ': </label><a class="button alignright" href="' . esc_url( 'https://walkerwp.com/support/' ) . '" target="_blank">' . esc_html__( 'Click Here', 'gridchamp' ) . '</a></span>';

	    $gridchamp_info.='<span class="gridchamp-info-row premium-row">'.esc_html__('Premium Features','gridchamp').'</span>';

	    $gridchamp_info.='<span class="gridchamp-info-row"><label class="row-element">'.esc_html__('Upgrade to premium version to get more premium features.','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('5 Header Layout','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('3 More Slider','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('3 Custom Widgets','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Footer Customization','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('2 Portfolio Layout','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('3 Testimonials Layout','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('2 Team Layout','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('FAQs Layout','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Brand Logo Section','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Notification Bar at Top','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Scroll Top Option','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Sticky Menu/Header','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Woocommerce home section','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Pricing Table Section','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Newsletter Section','gridchamp').'</span>';
	    $gridchamp_info.='<span class="gridchamp-info-row list"><label class="row-element">'.esc_html__('Home Page Section Re-order','gridchamp').'</span>';

	    $gridchamp_info .= '<span class="gridchamp-info-row"><label class="row-element"> </label><a class="button gridchamop-pro-button" href="' . esc_url( 'https://walkerwp.com/pricing-plans/' ) . '" target="_blank">' . esc_html__( 'Upgrade To Pro', 'gridchamp' ) . '</a></span>';
	    



        $wp_customize->add_setting( 'gridchamp_info', array(
            'default'           => '',
            'sanitize_callback' => 'wp_kses_post',
        ) );

        $wp_customize->add_control( new Gridchamp_Custom_Text_Control( $wp_customize, 'gridchamp_info', array(
	        'section' => 'gridchamp_info_section',
	        'label'   => $gridchamp_info,
	        'type' => 'gridchamp-custom-text',
	    ) ) );


	    $front_page_upsell_description= '';
	    
        $front_page_upsell_description .= '<ul class="upsell-features"> <li>'.esc_html('Section Re-order','gridchamp').'</li><li>'.esc_html('3+ slider Layouts','gridchamp').'</li><li>'.esc_html('Feature Section','gridchamp').'</li><li>'.esc_html('Portfolio Section','gridchamp').'</li><li>'.esc_html('Team Section','gridchamp').'</li><li>'.esc_html('Pricing Table Section','gridchamp').'</li><li>'.esc_html('Product Section','gridchamp').'</li><li>'.esc_html('Counter Section','gridchamp').'</li><li>'.esc_html('FAQs Section','gridchamp').'</li><li>'.esc_html('Newsletter Section','gridchamp').'</li></ul>';
        $front_page_upsell_description .= '<span class="gridchamp-info-row"><label class="row-element"> </label><a class="button gridchamop-pro-button" href="' . esc_url( 'https://walkerwp.com/pricing-plans/' ) . '" target="_blank">' . esc_html__( 'Upgrade To Pro', 'gridchamp' ) . '</a></span>';

        $wp_customize->add_section(
            new Gridchamp_Customize_Section_Ugrade(
                $wp_customize,
                'home_service_blog_pro_features_notices',
                array(
                    'title'    => esc_html__('Upgrade to premium version to get more features','gridchamp'),
                    'description' => $front_page_upsell_description,
                    'priority'  => 40,
                    'panel' => 'gridchamp_frontpage_option',

                )
            )
        );




	}
  }
}
add_action( 'customize_register', 'gridchamp_themeinfo_options_register' );