<?php
/**
 *  Template Name: FAQs List Template
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package gridchamp
 */


get_header();
if(gridchamp_set_to_premium() && !get_theme_mod('disable_walker_core_faq') ){ ?>
<div class="walker-wraper faqs-template">
	<div class="walker-container faqs-list">
        <div class="walker-container gridchamp-faqs ">
            <div class="walkerwp-grid-12">
                <?php 
                    if(get_theme_mod('faqs_page_heading_text') ){
                        echo '<h2 class="section-heading text-center">'.esc_html(get_theme_mod('faqs_page_heading_text')).'</h2>';
                    }
                    if(get_theme_mod('faq_page_desc_text') ){
                        echo '<p class="section-subheader text-center">'.esc_html(get_theme_mod('faq_page_desc_text')).'</p>';
                    }?>
            </div>
        </div>
        <div class="walker-container">
            <div class="walkerwp-grid-12">
                <div class="gridchamp-faqs">
                    <ul class="faq">
                        <?php $gridchamp_query = new WP_Query( array( 'post_type' => 'wcr_faqs', 'order'=> 'DESC', 'posts_per_page' =>-1) );
                            while ($gridchamp_query->have_posts()) : $gridchamp_query->the_post();?>
                                <li class="question"><?php the_title();?></li>
                                <li class="answer"><?php the_content();?></li>
                        <?php endwhile; 
                         wp_reset_postdata(); ?>
                    </ul>
                </div>
            </div>
        </div>
        </div>
</div>

<?php
}
 get_footer();